// SettingsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "SampleCreativeFilter.h"
#include "SettingsDlg.h"

// CSettingsDlg dialog

IMPLEMENT_DYNAMIC(CSettingsDlg, CDialog)

CSettingsDlg::CSettingsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSettingsDlg::IDD, pParent)
{

}

CSettingsDlg::~CSettingsDlg()
{
}

void CSettingsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_CBIndex(pDX, IDC_TYPE_COMBO, CSampleCreativeFilterApp::GetTheApp().m_filterType);
	DDX_Control(pDX, IDC_REGKEY_STATIC, m_regkeyStatic);
}


BEGIN_MESSAGE_MAP(CSettingsDlg, CDialog)
	ON_CBN_SELCHANGE(IDC_TYPE_COMBO, &CSettingsDlg::OnCbnSelchangeTypeCombo)
	ON_WM_TIMER()
END_MESSAGE_MAP()


// CSettingsDlg message handlers
BOOL CSettingsDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	CWnd* win = GetDlgItem(IDC_REGKEY_STATIC);
	if (win) win->SetWindowText(CSampleCreativeFilterApp::GetTheApp().m_regPath);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CSettingsDlg::OnCbnSelchangeTypeCombo()
{
	UpdateData();
}